> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xenia.team/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Roles



## OpenAPI

````yaml GET /api/v1/mgt/workspaces/{workspaceId}/roles
openapi: 3.1.0
info:
  title: Xenia Team API - Get Roles
  description: Retrieve all roles for a specific workspace
  version: 1.0.0
servers:
  - url: https://api.xenia.team
security: []
paths:
  /api/v1/mgt/workspaces/{workspaceId}/roles:
    get:
      tags:
        - Roles
      summary: Get Roles
      description: Retrieve all roles for a specific workspace
      parameters:
        - name: workspaceId
          in: path
          required: true
          description: Workspace ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response with list of roles
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Role'
        '400':
          description: Bad Request - Invalid workspace ID format
        '401':
          description: Unauthorized - Missing or invalid authentication
        '403':
          description: Forbidden - Insufficient permissions
        '404':
          description: Not Found - Workspace does not exist
        '500':
          description: Internal Server Error
      security:
        - clientKey: []
          clientSecret: []
components:
  schemas:
    Role:
      type: object
      properties:
        id:
          type: string
          format: uuid
        title:
          type: string
          description: Role title
        description:
          type: string
          description: Role description
        order:
          type: integer
          description: Role order
        Permissions:
          type: object
          additionalProperties:
            type: boolean
          description: Role permissions
  securitySchemes:
    clientKey:
      type: apiKey
      in: header
      name: x-client-key
      description: Client API key for authentication
    clientSecret:
      type: apiKey
      in: header
      name: x-client-secret
      description: Client secret for authentication

````